> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beam.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Upload Context File

> Upload context files for an agent.



## OpenAPI

````yaml post /context/agent/{agentId}/file
openapi: 3.0.0
info:
  title: Public API
  description: Public endpoints to interact with agents and orchestrate tasks
  version: '1.0'
  contact: {}
servers:
  - url: https://api.beamstudio.ai
security: []
tags: []
paths:
  /context/agent/{agentId}/file:
    post:
      tags:
        - Agent Context Files
      summary: Upload Context File
      description: Upload context files for an agent.
      operationId: AgentContextFilesController_uploadFile
      parameters:
        - name: agentId
          required: true
          in: path
          schema:
            type: string
        - name: uploadSource
          required: true
          in: query
          schema:
            type: string
        - name: taskId
          required: true
          in: query
          schema:
            type: string
        - name: current-workspace-id
          in: header
          required: true
          schema:
            type: string
      responses:
        '201':
          description: Context file uploaded successfully
      security:
        - x-api-key: []
components:
  securitySchemes:
    x-api-key:
      type: apiKey
      in: header
      name: x-api-key

````